Bug 57983

Summary: "Suggest automatic display" in the "attach file" dialog
Product: kmail2 Reporter: Jean-Fabrice LEGRAND <jf-legrand>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: bjoern, luigi.toscano, mayank25080562, montel, vapier
Priority: NOR Keywords: junior-jobs
Version: unspecified   
Target Milestone: ---   
Platform: Debian testing   
OS: Linux   
Latest Commit: Version Fixed In: 4.11

Description Jean-Fabrice LEGRAND 2003-05-01 22:09:39 UTC
Version:           1.5.1 (using KDE KDE 3.1.1)
Installed from:    Debian testing/unstable Packages
OS:          Linux

Sometimes a geek needs to send a lot of pictures to people who don't use Kmail.

Some mail software are not able to display the pictures directly in the body part of the message. A nice geek needs to do a inline attachement. He has to open the Properties dialog of each attachment (right click on attachment) and enable "Suggest automatic display".

A nice geek wastes hours and needs to change his mouse more often than a bad geek.(Life is hard)

It's could be great if a nice geek could enable the "suggest automatic display" for all the attachements in one pass.

Maybe adding this option in the "attach file" dialog could make the world better.

Thks
Comment 1 Jean-Fabrice LEGRAND 2004-05-11 19:24:30 UTC
kde 3.2.2
Kmail 1.6.2

Nothing had changed
It's not possible to "suggest automatic display" for all the attachements in one shot.

Hope it will be in kmail 2.0.0 :P

 
Comment 2 tink 2006-02-11 22:52:25 UTC
I'm completely with him on that one.  As far as I'm concerned it's a mime-type 
issue of the entire message, and not a property of the individual attachement.

Hence a request to add a tick-box for "suggest automatic display" to the 
composers dialog-box rather than in a properties pop-up per attachment.



Cheers,
Tink
Comment 3 Mike Frysinger 2006-02-14 01:55:28 UTC
well, i think the attach file dialog is just a generic file browser isnt it ?  if there were a checkbox in the attachment list like there is for compress/sign/etc..., that'd work just fine for me ...
Comment 4 Myriam Schweingruber 2012-08-18 08:14:11 UTC
Thank you for your feature request. Kmail1 is currently unmaintained so we are closing all wishes. Please feel free to reopen a feature request for Kmail2 if it has not already been implemented.
Thank you for your understanding.
Comment 5 Mike Frysinger 2012-08-19 00:50:36 UTC
this part of kmail hasn't changed, but i don't have access to modifying the bug to re-open and move to new kmail2 product
Comment 6 Luigi Toscano 2012-08-19 01:03:04 UTC
Instead of creating a new feature request, please confirm here if the wishlist is still valid for kmail2.
Comment 7 mayank 2013-03-16 19:40:16 UTC
i think adding an additional column for inlining the document in the attachment view part below of the kmcomposewin can ease the process. what say? I think this would involve changing attachmentmodel.h and attachment.cpp to incorporate an extra column for selecting the inline method. I guess this should solve the problem?
Comment 8 Laurent Montel 2013-03-18 06:43:55 UTC
Yes me too.
Will implement it soon.
Comment 9 Laurent Montel 2013-03-18 07:04:00 UTC
Git commit 542369333a7fdb0bd5f64bcf29578cec75c6c178 by Montel Laurent.
Committed on 18/03/2013 at 08:03.
Pushed by mlaurent into branch 'master'.

Fix Bug 57983 - "Suggest automatic display" in the "attach file" dialog

FIXED-IN: 4.11

M  +27   -2    messagecomposer/attachmentmodel.cpp
M  +8    -1    messagecomposer/attachmentmodel.h

http://commits.kde.org/kdepim/542369333a7fdb0bd5f64bcf29578cec75c6c178